Skip to main content
POST
/
user
/
lead
Create lead
curl --request POST \
  --url https://app.botrep.ai/api/user/lead \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "phone_number": "<string>",
  "campaign_id": 123,
  "variables": {
    "customer_name": "<string>",
    "email": "<string>"
  },
  "allow_dupplicate": true,
  "secondary_contacts": [
    {
      "phone_number": "<string>",
      "variables": {
        "customer_name": "<string>",
        "email": "<string>"
      }
    }
  ]
}
'
import requests

url = "https://app.botrep.ai/api/user/lead"

payload = {
"phone_number": "<string>",
"campaign_id": 123,
"variables": {
"customer_name": "<string>",
"email": "<string>"
},
"allow_dupplicate": True,
"secondary_contacts": [
{
"phone_number": "<string>",
"variables": {
"customer_name": "<string>",
"email": "<string>"
}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phone_number: '<string>',
campaign_id: 123,
variables: {customer_name: '<string>', email: '<string>'},
allow_dupplicate: true,
secondary_contacts: [
{
phone_number: '<string>',
variables: {customer_name: '<string>', email: '<string>'}
}
]
})
};

fetch('https://app.botrep.ai/api/user/lead', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "Lead created successfully",
  "data": {
    "id": 1,
    "campaign_id": 1,
    "phone_number": "+1234567890",
    "variables": {
      "customer_name": "John Doe",
      "email": "john.doe@example.com"
    },
    "status": "created",
    "created_at": "2025-06-30 11:53:20",
    "updated_at": "2025-06-30 11:53:20",
    "campaign": {
      "id": 1,
      "name": "My new campaign"
    },
    "secondary_contacts": [
      {
        "id": 2,
        "phone_number": "+1234567891",
        "variables": {
          "customer_name": "Jane Doe Secondary",
          "email": "jane.doe.secondary@example.com"
        },
        "status": "created",
        "created_at": "2025-06-30 11:53:20",
        "updated_at": "2025-06-30 11:53:20"
      },
      {
        "id": 3,
        "phone_number": "+1234567892",
        "variables": {
          "customer_name": "Bob Doe Office",
          "email": "bob.doe.office@example.com"
        },
        "status": "created",
        "created_at": "2025-06-30 11:53:20",
        "updated_at": "2025-06-30 11:53:20"
      }
    ]
  }
}
This endpoint allows you to create a new lead in the BotRep.ai system.

Request body

phone_number
string
required
The phone number of the lead in E.164 format (e.g. +1234567890)
campaign_id
integer
required
The ID of the campaign to create the lead for
variables
object
The variables to pass to the lead
allow_dupplicate
boolean
Whether to allow duplicate leads in a campaign.
secondary_contacts
array
Array of secondary contact leads to create along with the main lead

Response

message
string
default:"Lead created successfully"
The message of the response
data
object
The lead data object
{
  "message": "Lead created successfully",
  "data": {
    "id": 1,
    "campaign_id": 1,
    "phone_number": "+1234567890",
    "variables": {
      "customer_name": "John Doe",
      "email": "john.doe@example.com"
    },
    "status": "created",
    "created_at": "2025-06-30 11:53:20",
    "updated_at": "2025-06-30 11:53:20",
    "campaign": {
      "id": 1,
      "name": "My new campaign"
    },
    "secondary_contacts": [
      {
        "id": 2,
        "phone_number": "+1234567891",
        "variables": {
          "customer_name": "Jane Doe Secondary",
          "email": "jane.doe.secondary@example.com"
        },
        "status": "created",
        "created_at": "2025-06-30 11:53:20",
        "updated_at": "2025-06-30 11:53:20"
      },
      {
        "id": 3,
        "phone_number": "+1234567892",
        "variables": {
          "customer_name": "Bob Doe Office",
          "email": "bob.doe.office@example.com"
        },
        "status": "created",
        "created_at": "2025-06-30 11:53:20",
        "updated_at": "2025-06-30 11:53:20"
      }
    ]
  }
}